Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class SvnAdaptorFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.VcsFacade
          com.luntsys.luntbuild.remoting.SvnAdaptorFacade

public class SvnAdaptorFacade
extends VcsFacade

Facade of svn adaptor

Author:
  robin shine

Constructor Summary
`SvnAdaptorFacade()`

Method Summary
`java.lang.String` | `getBranches()` Get directory name to put branches.
`java.lang.String` | `getPassword()` Get password to access svn repository
`java.lang.String` | `getTags()` Get directory name to put labels.
`java.lang.String` | `getUrlBase()` Get url base of the svn adaptor.
`java.lang.String` | `getUser()` Get user name to access svn repository
`java.lang.String` | `getVcsClassName()` Get the corresponding vcs adaptor class name
`void` | `setBranches(java.lang.String branches)` &nbp; Set directory name to put branches.
`void` | `setPassword(java.lang.String password)` Set password to access svn repository
`void` | `setTags(java.lang.String tags)` Set directory name to put labels.
`void` | `setUrlBase(java.lang.String urlBase)` Set url base of this svn adaptor
`void` | `setUser(java.lang.String user)` Set user name to access svn repository

Methods inherited from class com.luntsys.luntbuild.remoting.VcsFacade
`getModules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnAdaptorFacade

    public SvnAdaptorFacade()

Method Detail

### getUrlBase

    public java.lang.String getUrlBase()

  Get url base of the svn adaptor. This is a project level property.

  Returns:
    url base of the svn adaptor

### setUrlBase

    public void setUrlBase(java.lang.String urlBase)

  Set url base of this svn adaptor

  Parameters:
    `urlBase` -

### getBranches

    public java.lang.String getBranches()

  Get directory name to put branches. This is a project level property. Refer to user manual for detailed explanation.

  Returns:
    directory name to put branches

### setBranches

    public void setBranches(java.lang.String branches)

  Set directory name to put branches.

  Parameters:
    `branches` -

### getTags

    public java.lang.String getTags()

  Get directory name to put labels. This is a project level property. Refer to user manual for detailed information.

  Returns:
    directory to put labels

### setTags

    public void setTags(java.lang.String tags)

  Set directory name to put labels.

  Parameters:
    `tags` -

### getUser

    public java.lang.String getUser()

  Get user name to access svn repository

  Returns:
    user name to access svn repository

### setUser

    public void setUser(java.lang.String user)

  Set user name to access svn repository

  Parameters:
    `user` -

### getPassword

    public java.lang.String getPassword()

  Get password to access svn repository

  Returns:
    password to access svn repository

### setPassword

    public void setPassword(java.lang.String password)

  Set password to access svn repository

  Parameters:
    `password` -

### getVcsClassName

    public java.lang.String getVcsClassName()

  Description copied from class: `VcsFacade`
  Get the corresponding vcs adaptor class name

  Specified by:
    `getVcsClassName` in class `VcsFacade`
  Returns:
    vcs adaptor class name

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.